# Get a Collection of Tasks

Endpoint: GET /tasks
Security: bearerAuth, s2sAuthToken

## Response 200 fields (application/vnd.api+json):

  - `data` (array)

  - `data.attributes` (object)
    An item that requires action to complete.

  - `data.attributes.action` (string,null)
    The action type of the task. Can be 'action_item', 'call', 'email', or 'in_person'.

  - `data.attributes.autoskipAt` (string,null)
    The optional date and time when the task will automatically be skipped. Tasks with an empty autoskip_at will never be autoskipped.

  - `data.attributes.compiledSequenceTemplateHtml` (string,null)
    The compiled template HTML of incomplete SMS or LinkedIn tasks associated with a sequence.

  - `data.attributes.completed` (boolean,null)
    A boolean value whether the task has been completed.

  - `data.attributes.completedAt` (string,null)
    The date and time the task was completed.

  - `data.attributes.createdAt` (string,null)
    The date and time the task was created.

  - `data.attributes.dueAt` (string,null)
    The date and time the task is due.

  - `data.attributes.note` (string,null)
    An optional note for the task.

  - `data.attributes.opportunityAssociation` (string,null)
    The optional opportunity rule associated with the task. Can be 'recent_created', 'recent_updated', 'noop'.

  - `data.attributes.scheduledAt` (string,null)
    The date and time the pending task is scheduled for.

  - `data.attributes.state` (string,null)
    The current state of the task. Can be 'pending', 'incomplete', or 'complete'.

  - `data.attributes.stateChangedAt` (string,null)
    The date and time the state last changed.

  - `data.attributes.taskType` (string,null)
    The type of task. Can be 'follow_up', 'manual', 'no_reply', 'sequence_open', 'sequence_click', 'sequence_step_call', 'sequence_step_email', 'sequence_step_linkedin_interact_with_post', 'sequence_step_linkedin_other', 'sequence_step_linkedin_send_connection_request', 'sequence_step_linkedin_send_message', 'sequence_step_linkedin_view_profile', 'sequence_step_sms', 'sequence_step_task', or 'touch'. Tasks created through the API will automatically be 'manual' tasks.

  - `data.attributes.updatedAt` (string,null)
    The date and time the task was last updated.

  - `data.id` (integer)

  - `data.relationships` (object)

  - `data.relationships.account` (object)
    The associated account. You can use only the attribute id to filter tasks by account (e.g. filter[account][id]=X).

  - `data.relationships.account.data` (object,null)

  - `data.relationships.account.data.id` (integer)

  - `data.relationships.account.data.type` (string)
    Enum: "account"

  - `data.relationships.account.links` (object)

  - `data.relationships.account.links.related` (string)

  - `data.relationships.call` (object)
    The associated call, if a call task. You can use only the attribute id to filter tasks by call (e.g. filter[call][id]=X).

  - `data.relationships.call.data` (object,null)

  - `data.relationships.call.data.id` (integer)

  - `data.relationships.call.data.type` (string)
    Enum: "call"

  - `data.relationships.call.links` (object)

  - `data.relationships.call.links.related` (string)

  - `data.relationships.calls` (object)
    The associated calls, if a call task. You can use only the attribute id to filter tasks by calls (e.g. filter[calls][id]=X).

  - `data.relationships.calls.links` (object)

  - `data.relationships.calls.links.related` (string)

  - `data.relationships.completer` (object)
    The completer of this task. You can use only the attribute id to filter tasks by completer (e.g. filter[completer][id]=X).

  - `data.relationships.completer.data` (object,null)

  - `data.relationships.completer.data.id` (integer)

  - `data.relationships.completer.data.type` (string)
    Enum: "user"

  - `data.relationships.completer.links` (object)

  - `data.relationships.completer.links.related` (string)

  - `data.relationships.creator` (object)
    The creator of this task. Relationship creator cannot be used as a filter.

  - `data.relationships.creator.data` (object,null)

  - `data.relationships.creator.data.id` (integer)

  - `data.relationships.creator.data.type` (string)
    Enum: "sequenceStep", "stage", "user"

  - `data.relationships.creator.links` (object)

  - `data.relationships.creator.links.related` (string)

  - `data.relationships.mailing` (object)
    The associated mailing, if a mailing task. You can use only the attribute id to filter tasks by mailing (e.g. filter[mailing][id]=X).

  - `data.relationships.mailing.data` (object,null)

  - `data.relationships.mailing.data.id` (integer)

  - `data.relationships.mailing.data.type` (string)
    Enum: "mailing"

  - `data.relationships.mailing.links` (object)

  - `data.relationships.mailing.links.related` (string)

  - `data.relationships.mailings` (object)
    The associated mailings, if a mailing task. You can use only the attribute id to filter tasks by mailings (e.g. filter[mailings][id]=X).

  - `data.relationships.mailings.links` (object)

  - `data.relationships.mailings.links.related` (string)

  - `data.relationships.opportunity` (object)
    The associated opportunity. You can use only the attribute id to filter tasks by opportunity (e.g. filter[opportunity][id]=X).

  - `data.relationships.opportunity.data` (object,null)

  - `data.relationships.opportunity.data.id` (integer)

  - `data.relationships.opportunity.data.type` (string)
    Enum: "opportunity"

  - `data.relationships.opportunity.links` (object)

  - `data.relationships.opportunity.links.related` (string)

  - `data.relationships.owner` (object)
    The owner of this task. You can use attributes id, email and firstName to filter tasks by owner (e.g. filter[owner][id]=X).

  - `data.relationships.owner.data` (object,null)

  - `data.relationships.owner.data.id` (integer)

  - `data.relationships.owner.data.type` (string)
    Enum: "user"

  - `data.relationships.owner.links` (object)

  - `data.relationships.owner.links.related` (string)

  - `data.relationships.prospect` (object)
    The associated prospect. You can use attributes id, byPersonaId, byStageId, createdAt, firstName, tags, title and updatedAt to filter tasks by prospect (e.g. filter[prospect][id]=X).

  - `data.relationships.prospect.data` (object,null)

  - `data.relationships.prospect.data.id` (integer)

  - `data.relationships.prospect.data.type` (string)
    Enum: "prospect"

  - `data.relationships.prospect.links` (object)

  - `data.relationships.prospect.links.related` (string)

  - `data.relationships.sequence` (object)
    The associated sequence. You can use attributes id and tags to filter tasks by sequence (e.g. filter[sequence][id]=X).

  - `data.relationships.sequence.data` (object,null)

  - `data.relationships.sequence.data.id` (integer)

  - `data.relationships.sequence.data.type` (string)
    Enum: "sequence"

  - `data.relationships.sequence.links` (object)

  - `data.relationships.sequence.links.related` (string)

  - `data.relationships.sequenceSequenceSteps` (object)
    The sequence steps of the associated sequence. You can use only the attribute id to filter tasks by sequenceSequenceSteps (e.g. filter[sequenceSequenceSteps][id]=X).

  - `data.relationships.sequenceSequenceSteps.data` (array)

  - `data.relationships.sequenceSequenceSteps.data.id` (integer)

  - `data.relationships.sequenceSequenceSteps.data.type` (string)
    Enum: "sequenceStep"

  - `data.relationships.sequenceSequenceSteps.links` (object)

  - `data.relationships.sequenceSequenceSteps.links.related` (string)

  - `data.relationships.sequenceState` (object)
    The associated sequence state. You can use only the attribute id to filter tasks by sequenceState (e.g. filter[sequenceState][id]=X).

  - `data.relationships.sequenceState.data` (object,null)

  - `data.relationships.sequenceState.data.id` (integer)

  - `data.relationships.sequenceState.data.type` (string)
    Enum: "sequenceState"

  - `data.relationships.sequenceState.links` (object)

  - `data.relationships.sequenceState.links.related` (string)

  - `data.relationships.sequenceStep` (object)
    The associated sequence step. You can use attributes id and stepType to filter tasks by sequenceStep (e.g. filter[sequenceStep][id]=X).

  - `data.relationships.sequenceStep.data` (object,null)

  - `data.relationships.sequenceStep.data.id` (integer)

  - `data.relationships.sequenceStep.data.type` (string)
    Enum: "sequenceStep"

  - `data.relationships.sequenceStep.links` (object)

  - `data.relationships.sequenceStep.links.related` (string)

  - `data.relationships.sequenceTemplate` (object)
    The associated sequence template. You can use only the attribute id to filter tasks by sequenceTemplate (e.g. filter[sequenceTemplate][id]=X).

  - `data.relationships.sequenceTemplate.data` (object,null)

  - `data.relationships.sequenceTemplate.data.id` (integer)

  - `data.relationships.sequenceTemplate.data.type` (string)
    Enum: "sequenceTemplate"

  - `data.relationships.sequenceTemplate.links` (object)

  - `data.relationships.sequenceTemplate.links.related` (string)

  - `data.relationships.subject` (object)
    The task's subject, either an account or prospect. Relationship subject cannot be used as a filter.

  - `data.relationships.subject.data` (object,null)

  - `data.relationships.subject.data.id` (integer)

  - `data.relationships.subject.data.type` (string)
    Enum: "account", "opportunity", "prospect"

  - `data.relationships.subject.links` (object)

  - `data.relationships.subject.links.related` (string)

  - `data.relationships.taskDisposition` (object)
    The associated task disposition.

  - `data.relationships.taskDisposition.data` (object,null)

  - `data.relationships.taskDisposition.data.id` (integer)

  - `data.relationships.taskDisposition.data.type` (string)
    Enum: "taskDisposition"

  - `data.relationships.taskDisposition.links` (object)

  - `data.relationships.taskDisposition.links.related` (string)

  - `data.relationships.taskPriority` (object)
    The associated task priority. You can use attributes id and name to filter tasks by taskPriority (e.g. filter[taskPriority][id]=X).

  - `data.relationships.taskPriority.data` (object,null)

  - `data.relationships.taskPriority.data.id` (integer)

  - `data.relationships.taskPriority.data.type` (string)
    Enum: "taskPriority"

  - `data.relationships.taskPriority.links` (object)

  - `data.relationships.taskPriority.links.related` (string)

  - `data.relationships.taskPurpose` (object)
    The associated task purpose.

  - `data.relationships.taskPurpose.data` (object,null)

  - `data.relationships.taskPurpose.data.id` (integer)

  - `data.relationships.taskPurpose.data.type` (string)
    Enum: "taskPurpose"

  - `data.relationships.taskPurpose.links` (object)

  - `data.relationships.taskPurpose.links.related` (string)

  - `data.relationships.template` (object)
    The associated template. You can use only the attribute id to filter tasks by template (e.g. filter[template][id]=X).

  - `data.relationships.template.data` (object,null)

  - `data.relationships.template.data.id` (integer)

  - `data.relationships.template.data.type` (string)
    Enum: "template"

  - `data.relationships.template.links` (object)

  - `data.relationships.template.links.related` (string)

  - `data.type` (string)

## Response 422 fields (application/vnd.api+json):

  - `errors` (array)

  - `errors.detail` (string)

  - `errors.id` (string)

  - `errors.title` (string)


